org.apache.cxf.interceptor.security

## Class OperationInfoAuthorizingInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.interceptor.security.AbstractAuthorizingInInterceptor
    - - org.apache.cxf.interceptor.security.SimpleAuthorizingInterceptor
      - - org.apache.cxf.interceptor.security.OperationInfoAuthorizingInterceptor

- All Implemented Interfaces:
    Interceptor<Message>, PhaseInterceptor<Message>

      public class OperationInfoAuthorizingInterceptor
      extends SimpleAuthorizingInterceptor

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.interceptor.security.SimpleAuthorizingInterceptor

      `globalRoles, methodRolesMap, userRolesMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationInfoAuthorizingInterceptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `authorize(SecurityContext sc, String key)`
    `protected List<String>` | `getDenyRoles(String key)`
    `protected List<String>` | `getExpectedRoles(String key)`
    `protected OperationInfo` | `getTargetOperationInfo(Message message)`
    `void` | `handleMessage(Message message)` Intercepts a message.
    `protected boolean` | `isMethodProtected(String key)`

    - ### Methods inherited from class org.apache.cxf.interceptor.security.SimpleAuthorizingInterceptor

      `createMethodSig, getExpectedRoles, isUserInRole, setCheckConfiguredRolesOnly, setGlobalRoles, setMethodRolesMap, setUserRolesMap`

    - ### Methods inherited from class org.apache.cxf.interceptor.security.AbstractAuthorizingInInterceptor

      `authorize, getDenyRoles, getTargetMethod, isAllowAnonymousUsers, isMethodProtected, setAllowAnonymousUsers`

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationInfoAuthorizingInterceptor

          public OperationInfoAuthorizingInterceptor()

  - ### Method Detail

    - #### handleMessage

          public void handleMessage(Message message)
                             throws Fault

      Description copied from interface: `Interceptor`
      Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.
      Specified by:
        `handleMessage` in interface `Interceptor<Message>`
      Overrides:
        `handleMessage` in class `AbstractAuthorizingInInterceptor`
      Throws:
        `Fault`

    - #### authorize

          protected boolean authorize(SecurityContext sc,
                                      String key)

    - #### getTargetOperationInfo

          protected OperationInfo getTargetOperationInfo(Message message)

    - #### getExpectedRoles

          protected List<String> getExpectedRoles(String key)

    - #### getDenyRoles

          protected List<String> getDenyRoles(String key)

    - #### isMethodProtected

          protected boolean isMethodProtected(String key)

Apache CXF